%define version 0.6.9a
%define release alt1.1
%setup_python_module basicproperty

Summary: Core data-types and property classes
Name: %packagename
Version: %version
Release: %release
Source0: %modulename-%version.tar.gz
License: BSD-style, see license.txt for details
Group: Development/Python
Packager: Sergey Alembekov <rt@altlinux.ru>
Vendor: Mike C. Fletcher <mcfletch@users.sourceforge.net>
URL: http://basicproperty.sourceforge.net/
BuildRequires: python-module-setuptools


%description
Core data-types and property classes

BasicProperty and BasicTypes provide the core datatypes for
both wxoo and the PyTable RDBMS Wrapper project.


%prep
%setup  -q -n %modulename-%version

%build
rm -Rf basicproperty/propertyaccel.so
env CFLAGS="$RPM_OPT_FLAGS" %__python setup.py build

%install
rm -Rf basicproperty/nevoo
%__python setup.py install --root=%buildroot --optimize=2 --record=INSTALLED_FILES

%files -f INSTALLED_FILES
%defattr(-,root,root)

%changelog
* Tue Feb 24 2009 Sergey Alembekov <rt@altlinux.ru> 0.6.9a-alt1.1
- fix x86_64 build

* Wed Oct 22 2008 Sergey Alembekov <rt@altlinux.ru> 0.6.9a-alt1
- Initial build for ALTLinux

